-----------------------------------------------------------------------------
-- |
-- Module      :  Text.CSL
-- Copyright   :  (c) Andrea Rossato
-- License     :  BSD-style (see LICENSE)
--
-- Maintainer  :  Andrea Rossato <andrea.rossato@ing.unitn.it>
-- Stability   :  unstable
-- Portability :  unportable
--
-- The CSL implementation
--
-----------------------------------------------------------------------------

module Text.CSL
    ( readCSLFile
    , readModsFile
    , readModsColletionFile
    , Reference (..)
    , getReference
    , Style (..)
    , Citation (..)
    , Bibliography (..)
    , FormattedOutput (..)
    , evalLayout
    , BiblioData (..)
    , citeproc
    , processCitations
    , processBibliography
    , renderPlain
    , renderPlainStrict
    , renderPandoc
    , renderPandoc'
    , renderPandocStrict
    ) where

import Text.CSL.Eval
import Text.CSL.Parser
import Text.CSL.Proc
import Text.CSL.Reference
import Text.CSL.Style
import Text.CSL.Input.MODS
import Text.CSL.Output.Pandoc
import Text.CSL.Output.Plain

